Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMClassException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMSemanticException
                              |
                              +--com.sun.wbem.cim.CIMClassException

public class CIMClassException
extends CIMSemanticException

The CIMClassException class represents an error condition that occurs in a CIM class. Errors occur when the CIM Object Manager encounters an error that does not adhere to the guidelines of the CIM Specification. The CIM Object Manager generates CIMClassException when one of these error conditions occur.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ABSTRACT_INSTANCE` Instances were programmed for the specified class, but the specified class is abstract.
`static java.lang.String` | `CIM_ERR_INVALID_PARAMETER` The specified class name does not follow standard CIM naming conventions.
`static java.lang.String` | `CIM_ERR_INVALID_SUPERCLASS` The superclass of the specified class does not exist.
`static java.lang.String` | `KEY_REQUIRED` A concrete class is defined without a key.
`static java.lang.String` | `REF_REQUIRED` An association class is defined with less than two references.

Fields inherited from class com.sun.wbem.cim.CIMSemanticException
`INVALID_QUALIFIER_NAME, NO_QUALIFIER_VALUE, NO_SUCH_QUALIFIER1, NO_SUCH_QUALIFIER2, QUALIFIER_UNOVERRIDABLE, SCOPE_ERROR, TYPE_ERROR`

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMClassException()` Create a CIMClassException with no detail message.
`CIMClassException(java.lang.String s)` Create a CIMClassException with the specified detail message
`CIMClassException(java.lang.String s, java.lang.Object param)` Creates a CIMClassException with the specified detail message and one exception parameter.
`CIMClassException(java.lang.String s, java.lang.Object[] param)` Creates a CIMClassException with the specified detail message and an array of exception parameters.
`CIMClassException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMClassException with the specified detail message and two excep parameters.
`CIMClassException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMClassException with the specified detail message and three exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_REQUIRED

    public static final java.lang.String KEY_REQUIRED

  A concrete class is defined without a key. All concrete, non-abstract classes must have at least one key property, flagged with a key qualifier. This error message uses one parameter which is replaced by the name of the class.

### REF_REQUIRED

    public static final java.lang.String REF_REQUIRED

  An association class is defined with less than two references. All association classes require at least two references. This error message uses one parameter which is replaced by the name of the association class.

### CIM_ERR_INVALID_PARAMETER

    public static final java.lang.String CIM_ERR_INVALID_PARAMETER

  The specified class name does not follow standard CIM naming conventions. CIM naming conventions specify that a class name requires a schema prefix followed by an underscore character, followed by the class name. For example, the name Solaris_LogRecord follows CIM guidelines. The prefix, Solaris, indicates that the class is part of the CIM Schema. The underscore separates the prefix and the class name. If the name LogRecord was used without the Solaris prefix and the underscore character, the CIM Object Manager would generate this message. This error message uses one parameter which is replaced by the name of the class.

### CIM_ERR_INVALID_SUPERCLASS

    public static final java.lang.String CIM_ERR_INVALID_SUPERCLASS

  The superclass of the specified class does not exist. This error message uses two parameters: - the name of the specified subclass. - the name of the class for which the specified subclass does not exist.

### ABSTRACT_INSTANCE

    public static final java.lang.String ABSTRACT_INSTANCE

  Instances were programmed for the specified class, but the specified class is abstract. Abstract classes cannot have instances. This class uses one parameter which is replaced by the name of the abstract class.

Constructor Detail

### CIMClassException

    public CIMClassException()

  Create a CIMClassException with no detail message.

### CIMClassException

    public CIMClassException(java.lang.String s)

  Create a CIMClassException with the specified detail message
  Parameters:
    `s` - the detail message.

### CIMClassException

    public CIMClassException(java.lang.String s,
                             java.lang.Object param)

  Creates a CIMClassException with the specified detail message and one exception parameter.
  Parameters:
    `s` - the detail message.
    `param` - exception parameter.

### CIMClassException

    public CIMClassException(java.lang.String s,
                             java.lang.Object param1,
                             java.lang.Object param2)

  Creates a CIMClassException with the specified detail message and two excep parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMClassException

    public CIMClassException(java.lang.String s,
                             java.lang.Object param1,
                             java.lang.Object param2,
                             java.lang.Object param3)

  Creates a CIMClassException with the specified detail message and three exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMClassException

    public CIMClassException(java.lang.String s,
                             java.lang.Object[] param)

  Creates a CIMClassException with the specified detail message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - array of exception parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD